| showdb

## Function

Displays information on the currently available databases

## Description

This writes out a simple table displaying the names, contents and available ways of accessing the sequence databases.

The available ways of accessing the databases are 'ID', 'Query' and 'All'. These refer to the way that you can search the databases to get entries from them, which is governed by the ways the database has been set up and the way it is organised and indexed.

Different databases may have different access capabilities, depending on how your local site is organised.

EMBOSS has been designed to be extremely flexible in its use of sequence databases formats, so that it is easy to set EMBOSS up to use your site's existing databases. Sometimes this means that it is hard to extract entries from some databases in particular ways. For example, a flat file database with no index is only useful for reading all entries, while a database located in another site that is available via the WWW may only provide single entries.

'ID' (also known as 'single entry') allows the programs to extract a single explicitly named entry from the database, for example embl:x13776

'Query' (also known as 'wild') indicates that programs can extract a set of matching wildcard entry names (this may be slow for some methods of access). For example you can look at all of the human PAX proteins in SWISS_PROT by: swissprot:pax*_human

'All' allows the programs to analyse all the entries in the database sequentially. For example this lets you look at all entries in the database with the notation: embl:*

A database may have several different methods of access available. Ideally all of the databases available on your site will be available in all three ways, but this is not the best of all posssible worlds and so you might like to check how you can access the databases by running this program and having a look.

## Usage

Here is a sample session with showdb

Display information on the currently available databases:

    % showdb
    Displays information on the currently available databases

    # Name        Type ID  Qry All Comment
    # ====        ==== ==  === === =======
    qapblast      P    OK  OK  OK  BLAST swissnew
    qapblastall   P    OK  OK  OK  BLAST swissnew, all fields indexed
    qapblastsplit P    OK  OK  OK  BLAST swissnew split in 5 files
    qapblastsplitexc P    OK  OK  OK  BLAST swissnew split in 5 files, not file 02
    qapblastsplitinc P    OK  OK  OK  BLAST swissnew split in 5 files, only file 02
    qapfasta      P    OK  OK  OK  FASTA file swissnew entries
    qapflat       P    OK  OK  OK  Swissnew flatfiles
    qapflatall    P    OK  OK  OK  Swissnew flatfiles, all fields indexed
    qapflatexc    P    OK  OK  OK  Swissnew flatfiles, no updated sequence file
    qapflatinc    P    OK  OK  OK  Swissnew flatfiles, only updated sequence file
    qapir         P    OK  OK  OK  PIR
    qapirall      P    OK  OK  OK  PIR
    qapirinc      P    OK  OK  OK  PIR
    tpir          P    OK  OK  OK  PIR using NBRF access for 4 files
    tsw           P    OK  OK  OK  Swissprot native format with EMBL CD-ROM index
    tswnew        P    OK  OK  OK  Swissnew as 3 files in native format with EMBL CD-ROM index
    twp           P    OK  OK  OK  EMBL new in native format with EMBL CD-ROM index
    qanfasta      N    OK  OK  OK  FASTA file EMBL rodents
    qanfastaall   N    OK  OK  OK  FASTA file EMBL rodents, all fields indexed
    qanflat       N    OK  OK  OK  EMBL flatfiles
    qangcg        N    OK  OK  OK  GCG format EMBL
    qangcgall     N    OK  OK  OK  GCG format EMBL
    qangcgexc     N    OK  OK  OK  GCG format EMBL without prokaryotes
    qangcginc     N    OK  OK  OK  GCG format EMBL only prokaryotes
    qapirexc      N    OK  OK  OK  PIR
    qasrs         N    OK  OK  -   EMBL in local srs installation
    qasrsfasta    N    OK  OK  -   EMBL in local srs installation, fasta format
    qasrswww      N    OK  -   -   Remote SRS web server
    qawfasta      N    OK  OK  OK  FASTA file wormpep entries
    tembl         N    OK  OK  OK  EMBL in native format with EMBL CD-ROM index
    temblall      N    -   -   OK  EMBL in native format with EMBL CD-ROM index
    temblrest     N    -   -   OK  EMBL in native format with EMBL CD-ROM index
    temblvrt      N    -   -   OK  EMBL in native format with EMBL CD-ROM index
    tgb           N    OK  -   -   Genbank IDs
    tgenbank      N    OK  OK  OK  GenBank in native format with EMBL CD-ROM index

Example 2

Write the results to a file:

    % showdb -outfile showdb.out
    Displays information on the currently available databases

Go to the output files for this example

Example 3

Display information on one explicit database:

    % showdb -database tsw
    Displays information on the currently available databases

    # Name        Type ID  Qry All Comment
    # ====        ==== ==  === === =======
    tsw           P    OK  OK  OK  Swissprot native format with EMBL CD-ROM index

Go to the input files for this example

Example 4

Display information on the databases formatted in HTML:

    % showdb -html
    Displays information on the currently available databases

    NameTypeIDQryAllComment
    qapblastPOK  OK  OK  BLAST swissnew
    qapblastallPOK  OK  OK  BLAST swissnew, all fields indexed
    qapblastsplitPOK  OK  OK  BLAST swissnew split in 5 files
    qapblastsplitexcPOK  OK  OK  BLAST swissnew split in 5 files, not file 02
    qapblastsplitincPOK  OK  OK  BLAST swissnew split in 5 files, only file 02
    qapfastaPOK  OK  OK  FASTA file swissnew entries
    qapflatPOK  OK  OK  Swissnew flatfiles
    qapflatallPOK  OK  OK  Swissnew flatfiles, all fields indexed
    qapflatexcPOK  OK  OK  Swissnew flatfiles, no updated sequence file
    qapflatincPOK  OK  OK  Swissnew flatfiles, only updated sequence file
    qapirPOK  OK  OK  PIR
    qapirallPOK  OK  OK  PIR
    qapirincPOK  OK  OK  PIR
    tpirPOK  OK  OK  PIR using NBRF access for 4 files
    tswPOK  OK  OK  Swissprot native format with EMBL CD-ROM index
    tswnewPOK  OK  OK  Swissnew as 3 files in native format with EMBL CD-ROM index
    twpPOK  OK  OK  EMBL new in native format with EMBL CD-ROM index
    qanfastaNOK  OK  OK  FASTA file EMBL rodents
    qanfastaallNOK  OK  OK  FASTA file EMBL rodents, all fields indexed
    qanflatNOK  OK  OK  EMBL flatfiles
    qangcgNOK  OK  OK  GCG format EMBL
    qangcgallNOK  OK  OK  GCG format EMBL
    qangcgexcNOK  OK  OK  GCG format EMBL without prokaryotes
    qangcgincNOK  OK  OK  GCG format EMBL only prokaryotes
    qapirexcNOK  OK  OK  PIR
    qasrsNOK  OK  -   EMBL in local srs installation
    qasrsfastaNOK  OK  -   EMBL in local srs installation, fasta format
    qasrswwwNOK  -   -   Remote SRS web server
    qawfastaNOK  OK  OK  FASTA file wormpep entries
    temblNOK  OK  OK  EMBL in native format with EMBL CD-ROM index
    temblallN-   -   OK  EMBL in native format with EMBL CD-ROM index
    temblrestN-   -   OK  EMBL in native format with EMBL CD-ROM index
    temblvrtN-   -   OK  EMBL in native format with EMBL CD-ROM index
    tgbNOK  -   -   Genbank IDs
    tgenbankNOK  OK  OK  GenBank in native format with EMBL CD-ROM index

Example 5

Display protein databases only:

    % showdb -nonucleic
    Displays information on the currently available databases

    # Name        Type ID  Qry All Comment
    # ====        ==== ==  === === =======
    qapblast      P    OK  OK  OK  BLAST swissnew
    qapblastall   P    OK  OK  OK  BLAST swissnew, all fields indexed
    qapblastsplit P    OK  OK  OK  BLAST swissnew split in 5 files
    qapblastsplitexc P    OK  OK  OK  BLAST swissnew split in 5 files, not file 02
    qapblastsplitinc P    OK  OK  OK  BLAST swissnew split in 5 files, only file 02
    qapfasta      P    OK  OK  OK  FASTA file swissnew entries
    qapflat       P    OK  OK  OK  Swissnew flatfiles
    qapflatall    P    OK  OK  OK  Swissnew flatfiles, all fields indexed
    qapflatexc    P    OK  OK  OK  Swissnew flatfiles, no updated sequence file
    qapflatinc    P    OK  OK  OK  Swissnew flatfiles, only updated sequence file
    qapir         P    OK  OK  OK  PIR
    qapirall      P    OK  OK  OK  PIR
    qapirinc      P    OK  OK  OK  PIR
    tpir          P    OK  OK  OK  PIR using NBRF access for 4 files
    tsw           P    OK  OK  OK  Swissprot native format with EMBL CD-ROM index
    tswnew        P    OK  OK  OK  Swissnew as 3 files in native format with EMBL CD-ROM index
    twp           P    OK  OK  OK  EMBL new in native format with EMBL CD-ROM index

Example 6

Display the information with no headings:

    % showdb -noheading
    Displays information on the currently available databases

    qapblast      P    OK  OK  OK  BLAST swissnew
    qapblastall   P    OK  OK  OK  BLAST swissnew, all fields indexed
    qapblastsplit P    OK  OK  OK  BLAST swissnew split in 5 files
    qapblastsplitexc P    OK  OK  OK  BLAST swissnew split in 5 files, not file 02
    qapblastsplitinc P    OK  OK  OK  BLAST swissnew split in 5 files, only file 02
    qapfasta      P    OK  OK  OK  FASTA file swissnew entries
    qapflat       P    OK  OK  OK  Swissnew flatfiles
    qapflatall    P    OK  OK  OK  Swissnew flatfiles, all fields indexed
    qapflatexc    P    OK  OK  OK  Swissnew flatfiles, no updated sequence file
    qapflatinc    P    OK  OK  OK  Swissnew flatfiles, only updated sequence file
    qapir         P    OK  OK  OK  PIR
    qapirall      P    OK  OK  OK  PIR
    qapirinc      P    OK  OK  OK  PIR
    tpir          P    OK  OK  OK  PIR using NBRF access for 4 files
    tsw           P    OK  OK  OK  Swissprot native format with EMBL CD-ROM index
    tswnew        P    OK  OK  OK  Swissnew as 3 files in native format with EMBL CD-ROM index
    twp           P    OK  OK  OK  EMBL new in native format with EMBL CD-ROM index
    qanfasta      N    OK  OK  OK  FASTA file EMBL rodents
    qanfastaall   N    OK  OK  OK  FASTA file EMBL rodents, all fields indexed
    qanflat       N    OK  OK  OK  EMBL flatfiles
    qangcg        N    OK  OK  OK  GCG format EMBL
    qangcgall     N    OK  OK  OK  GCG format EMBL
    qangcgexc     N    OK  OK  OK  GCG format EMBL without prokaryotes
    qangcginc     N    OK  OK  OK  GCG format EMBL only prokaryotes
    qapirexc      N    OK  OK  OK  PIR
    qasrs         N    OK  OK  -   EMBL in local srs installation
    qasrsfasta    N    OK  OK  -   EMBL in local srs installation, fasta format
    qasrswww      N    OK  -   -   Remote SRS web server
    qawfasta      N    OK  OK  OK  FASTA file wormpep entries
    tembl         N    OK  OK  OK  EMBL in native format with EMBL CD-ROM index
    temblall      N    -   -   OK  EMBL in native format with EMBL CD-ROM index
    temblrest     N    -   -   OK  EMBL in native format with EMBL CD-ROM index
    temblvrt      N    -   -   OK  EMBL in native format with EMBL CD-ROM index
    tgb           N    OK  -   -   Genbank IDs
    tgenbank      N    OK  OK  OK  GenBank in native format with EMBL CD-ROM index

Example 7

Display just a list of the available database names:

    % showdb -noheading -notype -noid -noquery -noall -nocomment -auto

    qapblast
    qapblastall
    qapblastsplit
    qapblastsplitexc
    qapblastsplitinc
    qapfasta
    qapflat
    qapflatall
    qapflatexc
    qapflatinc
    qapir
    qapirall
    qapirinc
    tpir
    tsw
    tswnew
    twp
    qanfasta
    qanfastaall
    qanflat
    qangcg
    qangcgall
    qangcgexc
    qangcginc
    qapirexc
    qasrs
    qasrsfasta
    qasrswww
    qawfasta
    tembl
    temblall
    temblrest
    temblvrt
    tgb
    tgenbank

Example 8

Display only the names and types:

    % showdb -only -type
    Displays information on the currently available databases

    qapblast      P
    qapblastall   P
    qapblastsplit P
    qapblastsplitexc P
    qapblastsplitinc P
    qapfasta      P
    qapflat       P
    qapflatall    P
    qapflatexc    P
    qapflatinc    P
    qapir         P
    qapirall      P
    qapirinc      P
    tpir          P
    tsw           P
    tswnew        P
    twp           P
    qanfasta      N
    qanfastaall   N
    qanflat       N
    qangcg        N
    qangcgall     N
    qangcgexc     N
    qangcginc     N
    qapirexc      N
    qasrs         N
    qasrsfasta    N
    qasrswww      N
    qawfasta      N
    tembl         N
    temblall      N
    temblrest     N
    temblvrt      N
    tgb           N
    tgenbank      N

## Command line arguments

       Standard (Mandatory) qualifiers: (none)
       Additional (Optional) qualifiers:
       -database           string     Name of a single database to give
                                      information on
       -html               boolean    Format output as an HTML table
       -[no]protein        boolean    Display protein databases
       -[no]nucleic        boolean    Display nucleic acid databases
       -fields             boolean    This displays the search fields that can be
                                      used on this database, other than the
                                      standard 'id' or 'acc' fields.
       -release            boolean    Display 'release' column
       -outfile            outfile    Output file name

       Advanced (Unprompted) qualifiers:
       -only               boolean    This is a way of shortening the command line
                                      if you only want a few things to be
                                      displayed. Instead of specifying:
                                      '-nohead -notype -noid -noquery -noall'
                                      to get only the comment output, you can
                                      specify
                                      '-only -comment'
       -heading            boolean    Display column headings
       -type               boolean    Display 'type' column
       -id                 boolean    Display 'id' column
       -query              boolean    Display 'qry' column
       -all                boolean    Display 'all' column
       -comment            boolean    Display 'comment' column

       Associated qualifiers:

       "-outfile" associated qualifiers
       -odirectory          string     Output directory

       General qualifiers:
       -auto                boolean    Turn off prompts
       -stdout              boolean    Write standard output
       -filter              boolean    Read standard input, write standard output
       -options             boolean    Prompt for standard and additional values
       -debug               boolean    Write debug output to program.dbg
       -verbose             boolean    Report some/full command line options
       -help                boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning             boolean    Report warnings
       -error               boolean    Report errors
       -fatal               boolean    Report fatal errors
       -die                 boolean    Report deaths

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
(none)
Additional (Optional) qualifiers | Allowed values | Default
-database | Name of a single database to give information on | Any string is accepted | An empty string is accepted
-html | Format output as an HTML table | Boolean value Yes/No | No
-[no]protein | Display protein databases | Boolean value Yes/No | Yes
-[no]nucleic | Display nucleic acid databases | Boolean value Yes/No | Yes
-fields | This displays the search fields that can be used on this database, other than the standard 'id' or 'acc' fields. | Boolean value Yes/No | No
-release | Display 'release' column | Boolean value Yes/No | No
-outfile | Output file name | Output file | stdout
Advanced (Unprompted) qualifiers | Allowed values | Default
-only | This is a way of shortening the command line if you only want a few things to be displayed. Instead of specifying: '-nohead -notype -noid -noquery -noall' to get only the comment output, you can specify '-only -comment' | Boolean value Yes/No | No
-heading | Display column headings | Boolean value Yes/No | @(!$(only))
-type | Display 'type' column | Boolean value Yes/No | @(!$(only))
-id | Display 'id' column | Boolean value Yes/No | @(!$(only))
-query | Display 'qry' column | Boolean value Yes/No | @(!$(only))
-all | Display 'all' column | Boolean value Yes/No | @(!$(only))
-comment | Display 'comment' column | Boolean value Yes/No | @(!$(only))

## Input file format

None.

### Input files for usage example 3

'tsw' is a sequence entry in the example protein database 'tsw'

## Output file format

### Output files for usage example 2

### File: showdb.out

    # Name        Type ID  Qry All Comment
    # ====        ==== ==  === === =======
    qapblast      P    OK  OK  OK  BLAST swissnew
    qapblastall   P    OK  OK  OK  BLAST swissnew, all fields indexed
    qapblastsplit P    OK  OK  OK  BLAST swissnew split in 5 files
    qapblastsplitexc P    OK  OK  OK  BLAST swissnew split in 5 files, not file 02
    qapblastsplitinc P    OK  OK  OK  BLAST swissnew split in 5 files, only file 02
    qapfasta      P    OK  OK  OK  FASTA file swissnew entries
    qapflat       P    OK  OK  OK  Swissnew flatfiles
    qapflatall    P    OK  OK  OK  Swissnew flatfiles, all fields indexed
    qapflatexc    P    OK  OK  OK  Swissnew flatfiles, no updated sequence file
    qapflatinc    P    OK  OK  OK  Swissnew flatfiles, only updated sequence file
    qapir         P    OK  OK  OK  PIR
    qapirall      P    OK  OK  OK  PIR
    qapirinc      P    OK  OK  OK  PIR
    tpir          P    OK  OK  OK  PIR using NBRF access for 4 files
    tsw           P    OK  OK  OK  Swissprot native format with EMBL CD-ROM index
    tswnew        P    OK  OK  OK  Swissnew as 3 files in native format with EMBL CD-ROM index
    twp           P    OK  OK  OK  EMBL new in native format with EMBL CD-ROM index
    qanfasta      N    OK  OK  OK  FASTA file EMBL rodents
    qanfastaall   N    OK  OK  OK  FASTA file EMBL rodents, all fields indexed
    qanflat       N    OK  OK  OK  EMBL flatfiles
    qangcg        N    OK  OK  OK  GCG format EMBL
    qangcgall     N    OK  OK  OK  GCG format EMBL
    qangcgexc     N    OK  OK  OK  GCG format EMBL without prokaryotes
    qangcginc     N    OK  OK  OK  GCG format EMBL only prokaryotes
    qapirexc      N    OK  OK  OK  PIR
    qasrs         N    OK  OK  -   EMBL in local srs installation
    qasrsfasta    N    OK  OK  -   EMBL in local srs installation, fasta format
    qasrswww      N    OK  -   -   Remote SRS web server
    qawfasta      N    OK  OK  OK  FASTA file wormpep entries
    tembl         N    OK  OK  OK  EMBL in native format with EMBL CD-ROM index
    temblall      N    -   -   OK  EMBL in native format with EMBL CD-ROM index
    temblrest     N    -   -   OK  EMBL in native format with EMBL CD-ROM index
    temblvrt      N    -   -   OK  EMBL in native format with EMBL CD-ROM index
    tgb           N    OK  -   -   Genbank IDs
    tgenbank      N    OK  OK  OK  GenBank in native format with EMBL CD-ROM index

The output is a simple table.

Type 'P' indicates that this is a Protein database.

Type 'N' indicates that this is a Nucleic database.

'OK' under ID, Qry or All indicates that that access method can be used on this database. A '-' indicates that you cannot access this database in that way.

Note that 'OK' does not mean that the database is working correctly. It simply means that showdb has read the database definition correctly and that this method of access to the database should be possible.

If you are setting up a new database, then you should check that it works correctly by extracting entries from it using seqret.

When the -html qualifier is specified, then the output will be wrapped in HTML tags, ready for inclusion in a Web page. Note that tags such as <HTML>, <BODY>, </BODY> and </HTML> are not output by this program as the table of databases is expected to form only part of the contents of a web page - the rest of the web page must be supplied by the user.

## Data files

The databases are specified in the files "emboss.defaults" for site wide definitions, and "~/.embossrc" for the user's own settings.

## Notes

Note that 'OK' in the output does not mean that the database is working correctly. It simply means that showdb has read the database definition correctly and that this method of access to the database should be possible.

If you are setting up a new database, then you should check that it works correctly by extracting entries from it using seqret.

You can set up your own private databases by editing a file called '.embossrc' to contain database specifications.

You can set up public databases by editing the file '/usr/local/share/EMBOSS/emboss.default' (if you have the permission to do this).

The 'emboss.default' file will already have the definitions of the test databases in: tsw, tembl, tpir, etc. These are the databases that are used in the examples shown in the documentation of the programs.

For details of the database definitions, you should first read David's Administration Guide: http://emboss.sourceforge.net/docs/adminguide/ especially: http://emboss.sourceforge.net/docs/adminguide/adminguide/node4.html

See also: http://emboss.sourceforge.net/docs/themes/Databases.html for a lot of detail of the syntax of database definition.

Just because showdb can display the database definitions, it does NOT mean that the databases are set up correctly. You must now test them using seqret.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

"The database 'xyz' does not exist" You have supplied the name of a database with the -database qualifier, but that database does not exist as far as EMBOSS is concerned.

## Exit status

It always exits with status 0, unless the above diagnostic message is displayed.

## Known bugs

None noted.

## See also

Program name | Description
--- | ---
abiview | Reads ABI file and display the trace
cirdna | Draws circular maps of DNA constructs
infoalign | Information on a multiple sequence alignment
infoseq | Displays some simple information about sequences
lindna | Draws linear maps of DNA constructs
pepnet | Displays proteins as a helical net
pepwheel | Shows protein sequences as helices
prettyplot | Displays aligned sequences, with colouring and boxing
prettyseq | Output sequence with translated ranges
remap | Display a sequence with restriction cut sites, translation etc
seealso | Finds programs sharing group names
showalign | Displays a multiple sequence alignment
showfeat | Show features of a sequence
showseq | Display a sequence with features, translation etc
sixpack | Display a DNA sequence with 6-frame translation and ORFs
textsearch | Search sequence documentation text. SRS and Entrez are faster!
tfm | Displays a program's help documentation manual
whichdb | Search all databases for an entry
wossname | Finds programs by keywords in their one-line documentation

## Author(s)

Gary Williams (gwilliam © rfcgr.mrc.ac.uk)
MRC Rosalind Franklin Centre for Genomics Research Wellcome Trust Genome Campus, Hinxton, Cambridge, CB10 1SB, UK

## History

Completed 6th August 1999.

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None